Subject: Re: [PATCH net] ptp: improve max_adj check against unreasonable values

From: [email-masked]
Date: Tue, 15 Jun 2021 18:10:04 +0000

Hello:

This patch was applied to netdev/net.git (refs/heads/master):

On Mon, 14 Jun 2021 15:24:05 -0700 you wrote:
> Scaled PPM conversion to PPB may (on 64bit systems) result
> in a value larger than s32 can hold (freq/scaled_ppm is a long).
> This means the kernel will not correctly reject unreasonably
> high ->freq values (e.g. > 4294967295ppb, 281474976645 scaled PPM).
> 
> The conversion is equivalent to a division by ~66 (65.536),
> so the value of ppb is always smaller than ppm, but not small
> enough to assume narrowing the type from long -> s32 is okay.
> 
> [...]

Here is the summary with links:
  - [net] ptp: improve max_adj check against unreasonable values
    https://git.kernel.org/netdev/net/c/475b92f93216

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html